OpenNMS API 1.2.9

## org.opennms.netmgt.poller.monitors
Class IPv4NetworkInterface

    java.lang.Object
      org.opennms.netmgt.poller.monitors.IPv4NetworkInterface

All Implemented Interfaces:
  NetworkInterface

Direct Known Subclasses:
  CollectableService, MockNetworkTest.MockNetworkInterface, ThresholdableService

public class IPv4NetworkInterface
extends java.lang.Object
implements NetworkInterface

The NetworkInterface class is designed to be a well defined front for passing interfaces to a service monitor. There are many different types of network in use today including IPv4, IPv6, IPX, and others. To accomidate the possible differences this class provides the basic information that a monitor can use to determine the type of interface and its expected address type.

In addition to providing typing and address information, the interface allows for the monitor to associate key-value pairs with an interface. This can be used to save state information between the various invocations if neccessary. The attributes may be shared with other monitors concurrently, so a monitor must be careful to choose unique keys to prevent namespace collisions.

Author:
  Mike Davidson , Weave , OpenNMS

Field Summary
`protected java.net.InetAddress` `m_address` Interface address
`private java.util.Map` `m_properties` The map of attributes for this interface.

Fields inherited from interface org.opennms.netmgt.poller.monitors.NetworkInterface
`TYPE_IPV4, TYPE_UNKNOWN`

Constructor Summary
`IPv4NetworkInterface(java.net.InetAddress address)`

Method Summary
`java.lang.Object` `getAddress()` Returns the address information for the interface.
`java.lang.Object` `getAttribute(java.lang.String property)` This method is used to return the object that is associated with the property name.
`int` `getType()` Returns the interface type for the network interface.
`java.lang.Object` `setAttribute(java.lang.String property, java.lang.Object value)` This method is used to associate an object value with a textual key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_properties

    private java.util.Map m_properties

  The map of attributes for this interface.

### m_address

    protected java.net.InetAddress m_address

  Interface address

Constructor Detail

### IPv4NetworkInterface

    public IPv4NetworkInterface(java.net.InetAddress address)

Method Detail

### getType

    public int getType()

  Returns the interface type for the network interface.

  Specified by:
    `getType` in interface `NetworkInterface`

### getAddress

    public java.lang.Object getAddress()

  Returns the address information for the interface. If the interface then this should be either an InetAddress or an object for specialized address types.

  Specified by:
    `getAddress` in interface `NetworkInterface`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String property)

  This method is used to return the object that is associated with the property name. This is very similar to the java.util.Map get() method, but requires that the lookup be performed using a String name. The object may be of any instance that the monitor previous stored.

  If there is no matching object for the property key, then a null pointer is returned to the application.

  Specified by:
    `getAttribute` in interface `NetworkInterface`
  Parameters:
    `property` - The key for the lookup.
  Returns:
    The resulting value for the key, null if no value exist.
  Throws:
    `java.lang.IllegalArgumentException` - Thrown if the passed key is empty or null.
  See Also:
    `Map.get(java.lang.Object)`

### setAttribute

    public java.lang.Object setAttribute(java.lang.String property,
                                         java.lang.Object value)

  This method is used to associate an object value with a textual key. If a previous value was associated with the key then the old value is returned to the caller. This is identical to the behavior defined by the java.util.Map put() method. The only restriction is that the key must be a java string instance.

  Specified by:
    `setAttribute` in interface `NetworkInterface`
  Parameters:
    `property` - The key
    `value` - The value to associate with the key
  Returns:
    The object that was previously associated with the key. Null is returned if there was no previous value associated.
  Throws:
    `java.lang.IllegalArgumentException` - Thrown if the property name is empty or null.
  See Also:
    `Map.put(java.lang.Object, java.lang.Object)`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.